## sphinx 1.7.2

=== debian/changelog ===
sphinx (1.7.2-3) unstable; urgency=medium

  * Remove setuptools from install_requires, it is not needed on Debian
    (closes: #895738).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 15 Apr 2018 21:43:18 +0300

sphinx (1.7.2-2) unstable; urgency=medium

  * Make python-sphinx depend on python-typing (closes: #895727).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 15 Apr 2018 13:08:26 +0300

sphinx (1.7.2-1) unstable; urgency=medium

  [ Chris Lamb ]
  * New upstream release.
  * Pass -vv to pytest when running the testsuite.
  * Patches:
    - Apply patch series from https://github.com/sphinx-doc/sphinx/pull/4834 to
      make the set output reproducible. (Closes: #895553)
    - Don't use Google Fonts to avoid privacy breach.
    - Fix "arbitary" spelling error in sphinx-quickstart(1) manpage.
    - Fix testsuite to not rely on return types.
    - Refresh and renumber all patches.
  * Bump Standards-Version to 4.1.4.
  * Add myself to Uploaders.

  [ Dmitry Shachnev ]
  * Merge 1.6.7-2 upload from experimental to unstable.

 -- Chris Lamb <lamby@debian.org>  Sat, 14 Apr 2018 19:32:39 +0100

sphinx (1.6.7-2) unstable; urgency=medium

  * Make python3-sphinx depend on python3-distutils (closes: #893620).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 22 Mar 2018 18:07:32 +0300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/python/python.mk

export NO_PKG_MANGLE=1
export PYTHONWARNINGS=d
export PYTHONHASHSEED=random
export http_proxy=http://127.0.0.1:9/

locales = $(notdir $(patsubst %/LC_MESSAGES,%,$(wildcard sphinx/locale/*/LC_MESSAGES)))
scripts = sphinx-apidoc sphinx-autogen sphinx-build sphinx-quickstart

debroot = debian/tmp/
py2_libdir = $(call py_libdir,$(shell pyversions -d))
py3_libdir = $(call py_libdir,$(shell py3versions -d))
javascript_path = /usr/share/javascript/sphinxdoc/1.0/

.PHONY: clean
clean:
	dh_clean
	find . -name '*.py[co]' -delete
	rm -rf build tests/build
	rm -f $(basename $(wildcard debian/*.in))
	rm -f sphinx/locale/*/LC_MESSAGES/sphinx.js
	rm -f sphinx/locale/.DS_Store
	rm -rf sphinx/locale/.tx
	rm -f Sphinx.egg-info/SOURCES.txt Sphinx.egg-info/*-e
	rm -f sphinx/texinputs/needspace.sty

.PHONY: build build-arch build-indep
build build-indep: build-stamp

sphinx/themes/basic/static/%.js:
	ln -sf /usr/share/javascript/$(*)/$(*).js $(@)

build/javascript-stamp: $(addprefix sphinx/themes/basic/static/,jquery.js underscore.js)
	echo $(^) | xargs -n1 | xargs -t -I {} [ -L {} ]
	mkdir -p $(dir $@)
	touch $(@)

build-stamp: sphinx/cmd/build.py build/javascript-stamp
ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
	python3 ./sphinx/cmd/build.py -T doc build/html/
	rm -f build/html/_static/jquery-*.js build/html/_static/underscore-*.js
	find build/html/ -name '*.txt' -or -name '*.html' | xargs -L1 sed -i \
		's!http://docutils.sourceforge.net/docs/!file:///usr/share/doc/docutils-doc/docs/!g'
	rm -rf build/man
	cp -rl build/html build/man
	python3 ./sphinx/cmd/build.py -T -b man doc build/man
endif
	python setup.py build --build-lib build/py2/
	python3 setup.py build --build-lib build/py3/
	python setup.py compile_catalog
ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
	export LC_ALL=C.UTF-8 && \
	export PYTHONPATH=$(CURDIR) && \
	set -ex; for py in $(shell pyversions -r) $(shell py3versions -r); do \
		$$py -m pytest -vv --ignore tests/test_websupport.py --ignore tests/test_api_translator.py; \
	done
	rm -rf build/py2/tests/ build/py3/tests/
endif
	touch build-stamp

.PHONY: binary binary-arch binary-indep
binary binary-indep: build-stamp
	dh_testroot
	dh_installdirs
	python setup.py \
		build --build-lib build/py2/ \
		install --no-compile --install-layout=deb --root $(debroot) \
		--install-scripts usr/share/sphinx/scripts/python2
	python3 setup.py \
		build --build-lib build/py3/ \
		install --no-compile --install-layout=deb --root $(debroot) \
		--install-scripts usr/share/sphinx/scripts/python3
	rm -f $(debroot)/usr/lib/python*/*-packages/Sphinx-*.egg-info/SOURCES.txt
	# move static files outside dist-packages
	sed -i -e "s!^package_dir = .*!package_dir = '/usr/share/sphinx'!" \
		$(debroot)$(py2_libdir)/sphinx/__init__.py \
		$(debroot)$(py3_libdir)/sphinx/__init__.py
	cd $(debroot) && mv -t usr/share/sphinx/ \
		.$(py2_libdir)/sphinx/templates \
		.$(py2_libdir)/sphinx/texinputs \
		.$(py2_libdir)/sphinx/themes
	mkdir -p $(debroot)/usr/share/sphinx/ext/autosummary/
	cd $(debroot) && mv -t usr/share/sphinx/ext/autosummary/ \
		.$(py2_libdir)/sphinx/ext/autosummary/templates
	mkdir -p $(debroot)/usr/share/sphinx/search/
	cd $(debroot) && mv -t usr/share/sphinx/search/ \
		.$(py2_libdir)/sphinx/search/non-minified-js
	cd $(debroot)$(py3_libdir)/sphinx/ && \
		rm -rf templates/ texinputs/ themes/ ext/autosummary/templates/ \
			search/non-minified-js/
	set -e -x; \
	cd $(debroot) && \
		for lang in $(locales); \
		do \
			install -m 644 -D .$(py2_libdir)/sphinx/locale/$$lang/LC_MESSAGES/sphinx.js \
				usr/share/sphinx/locale/$$lang/sphinx.js; \
			install -m 644 -D .$(py2_libdir)/sphinx/locale/$$lang/LC_MESSAGES/sphinx.mo \
				usr/share/locale/$$lang/LC_MESSAGES/sphinx.mo; \
		done
	cd $(debroot)$(py2_libdir)/sphinx/locale && rm -rf sphinx.pot */
	cd $(debroot)$(py3_libdir)/sphinx/locale && rm -rf sphinx.pot */
	set -e -x; \
	for maintscript in $(wildcard debian/sphinx-common.*.in); do \
		sed -e 's/@SCRIPTS@/$(scripts)/' $$maintscript > $${maintscript%.in}; \
	done
	# Move JavaScript code to libjs-sphinxdoc:
	PYTHONPATH=$(CURDIR) debian/dh-sphinxdoc/install-js debian/libjs-sphinxdoc$(javascript_path)
	rm -f $(debroot)/usr/share/sphinx/themes/basic/static/underscore-*.js
	rm -f $(debroot)/usr/share/sphinx/themes/basic/static/jquery-*.js
	rm -f $(debroot)/usr/share/sphinx/themes/bizstyle/static/css3-mediaqueries_src.js
	set -e; \
	for js in $$(find $(debroot)/usr/share/sphinx/themes/ -name '*.js' -a '!' -name 'websupport.js'); do \
		mv $$js debian/libjs-sphinxdoc/$(javascript_path); \
		ln -sf "$(javascript_path)/$${js##*/}" $$js; \
	done
	dh_install -p sphinx-common -X /scripts/
	dh_install -N sphinx-common --fail-missing
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_lintian
ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
	./debian/dh-sphinxdoc/dh_sphinxdoc -p sphinx-doc /usr/share/doc/sphinx-doc/html/
endif
	dh_installexamples
	cd debian/dh-sphinxdoc/ && pod2man -c Debhelper -r '' dh_sphinxdoc dh_sphinxdoc.1
ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
	dh_installman
endif
	dh_python2 -p python-sphinx
	dh_python3 -p python3-sphinx --no-guessing-deps
	dh_strip_nondeterminism
	dh_compress -X.py -X.rst -X.json -X.txt
	dh_link
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# vim:ts=4 sw=4 noet

## sphinx 1.7.4

=== debian/changelog ===
sphinx (1.7.4-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Fixed crash with duplicated objects (closes: #896897).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 25 Apr 2018 20:47:00 +0300

sphinx (1.7.3-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Refresh debian/patches/0003-skip_tests_network.diff.
  * Set PYTHONPATH to $(CURDIR) when building our own documentation,
    to make sure we are using the local version of Sphinx code.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 23 Apr 2018 11:09:06 +0300

sphinx (1.7.2-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Dmitry Shachnev ]
  * Update autopkgtests to work with Sphinx 1.7 (closes: #895854).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 18 Apr 2018 17:35:47 +0300

=== debian/control ===
Source: sphinx
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>, Chris Lamb <lamby@debian.org>
Homepage: http://sphinx-doc.org/
Build-Depends: debhelper (>= 11)
Build-Depends-Indep: dh-python,
  dh-strip-nondeterminism,
  dpkg-dev (>= 1.17.14),
  python-all (>= 2.6.6-4~), python3-all (>= 3.3.3-1~),
  python3-lib2to3,
  python-six (>= 1.5), python3-six (>= 1.5),
  python-setuptools (>= 0.6c5-1~), python3-setuptools,
  python-docutils (>= 0.11), python3-docutils (>= 0.11),
  python-pygments (>= 2.1.1), python3-pygments (>= 2.1.1),
  python-jinja2 (>= 2.3), python3-jinja2 (>= 2.3),
  python-pytest, python3-pytest,
  python-mock, python3-mock,
  python-babel (>= 1.3), python3-babel (>= 1.3),
  python-alabaster (>= 0.7), python3-alabaster (>= 0.7),
  python-imagesize, python3-imagesize,
  python-requests (>= 2.4.0), python3-requests (>= 2.4.0),
  python-html5lib, python3-html5lib,
  python-enum34, python-typing,
  python-packaging, python3-packaging,
  python3-sphinxcontrib.websupport <!nodoc>,
  libjs-jquery (>= 1.4), libjs-underscore,
  texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, texinfo,
  texlive-luatex, texlive-xetex,
  dvipng,
  graphviz,
  imagemagick-6.q16, librsvg2-bin,
  perl
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx

Package: python-sphinx
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
  python-six (>= 1.5),
  python-docutils (>= 0.11),
  python-pygments (>= 2.0),
  python-jinja2 (>= 2.3),
  python-babel (>= 1.3),
  python-alabaster (>= 0.7),
  python-imagesize,
  python-requests (>= 2.4.0),
  python-packaging,
  python-typing,
  sphinx-common (= ${source:Version})
Recommends: python-enum34, python-pil
Suggests:
  python-sphinx-rtd-theme,
  libjs-mathjax, dvipng,
  texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended,
  texlive-generic-extra,
  latexmk,
  imagemagick-6.q16,
  sphinx-doc
Breaks:
  python-sphinxcontrib.issuetracker (<< 0.11-1),
  python-sphinxcontrib.spelling (<< 2.1.1-1)
Description: documentation generator for Python projects (implemented in Python 2)
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 Sphinx features:
  * HTML, CHM, LaTeX output,
  * Cross-referencing source code,
  * Automatic indices,
  * Code highlighting, using Pygments,
  * Extensibility. Existing extensions:
    - automatic testing of code snippets,
    - including docstrings from Python modules.
 .
 This package includes Python 2 modules and command line utilities.

Package: python3-sphinx
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
  python3-lib2to3,
  python3-distutils,
  python3-six (>= 1.5),
  python3-docutils (>= 0.11),
  python3-pygments (>= 2.0),
  python3-jinja2 (>= 2.3),
  python3-babel (>= 1.3),
  python3-alabaster (>= 0.7),
  python3-imagesize,
  python3-requests (>= 2.4.0),
  python3-packaging,
  sphinx-common (= ${source:Version})
Recommends: python3-pil
Suggests:
  python3-sphinx-rtd-theme,
  libjs-mathjax, dvipng,
  texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended,
  texlive-generic-extra,
  latexmk,
  imagemagick-6.q16,
  sphinx-doc
Description: documentation generator for Python projects (implemented in Python 3)
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 Sphinx features:
  * HTML, CHM, LaTeX output,
  * Cross-referencing source code,
  * Automatic indices,
  * Code highlighting, using Pygments,
  * Extensibility. Existing extensions:
    - automatic testing of code snippets,
    - including docstrings from Python modules.
 .
 This package includes Python 3 modules.

Package: sphinx-common
Architecture: all
Depends: ${misc:Depends},
  libjs-sphinxdoc (= ${source:Version})
Recommends: python-sphinx | python3-sphinx
Conflicts: python-sphinx (<< 1.1)
Replaces: python-sphinx (<< 1.1)
Description: documentation generator for Python projects - common data
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 This package includes manual pages, templates, translations and other data
 files.

Package: sphinx-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Conflicts: python-sphinx (<< 1.1)
Replaces: python-sphinx (<< 1.1)
Depends: docutils-doc, ${misc:Depends}, ${sphinxdoc:Depends}
Description: documentation generator for Python projects - documentation
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 This package includes documentation of Sphinx itself.

Package: libjs-sphinxdoc
Section: javascript
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-jquery (>= 1.11.1), libjs-underscore (>= 1.3.1)
Description: JavaScript support for Sphinx documentation
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 This package provides JavaScript code for documentation generated by Sphinx.

=== debian/rules ===
--- 
+++ 
@@ -41,13 +41,13 @@
 
 build-stamp: sphinx/cmd/build.py build/javascript-stamp
 ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
-	python3 ./sphinx/cmd/build.py -T doc build/html/
+	PYTHONPATH=$(CURDIR) python3 ./sphinx/cmd/build.py -T doc build/html/
 	rm -f build/html/_static/jquery-*.js build/html/_static/underscore-*.js
 	find build/html/ -name '*.txt' -or -name '*.html' | xargs -L1 sed -i \
 		's!http://docutils.sourceforge.net/docs/!file:///usr/share/doc/docutils-doc/docs/!g'
 	rm -rf build/man
 	cp -rl build/html build/man
-	python3 ./sphinx/cmd/build.py -T -b man doc build/man
+	PYTHONPATH=$(CURDIR) python3 ./sphinx/cmd/build.py -T -b man doc build/man
 endif
 	python setup.py build --build-lib build/py2/
 	python3 setup.py build --build-lib build/py3/

## sphinx 1.7.5

=== debian/changelog ===
sphinx (1.7.5-3) unstable; urgency=medium

  * Backport upstream patch to fix crash with numbered toctrees
    (closes: #901769, thanks Robin Jarry for the bug report).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 18 Jun 2018 15:28:44 +0300

sphinx (1.7.5-2) unstable; urgency=medium

  * dh_sphinxdoc: Fix for templates that do not use documentation_options.js
    (closes: #901662, thanks Rebecca N. Palmer for the bug report).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 16 Jun 2018 21:54:03 +0300

sphinx (1.7.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Dmitry Shachnev ]
  * New upstream bugfix release.
  * Backport upstream patch to support standalone roman module.
  * dh_sphinxdoc: Support url_root in the new data-url_root attribute.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 15 Jun 2018 17:45:33 +0300

=== debian/control ===
--- 
+++ 
@@ -32,8 +32,6 @@
   graphviz,
   imagemagick-6.q16, librsvg2-bin,
   perl
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
 Standards-Version: 4.1.4
 Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx

## sphinx 1.7.6

=== debian/changelog ===
sphinx (1.7.6-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Drop patches, applied upstream:
    - 0011-Fix-5022-latex-crashed-with-docutils-package-provide.patch
    - 0012-Fix-5048-crashed-with-numbered-toctree.patch
  * Refresh other patches.
  * Run “wrap-and-sort”.
  * Recommend make (closes: #903260).
  * Add back PYTHONWARNINGS=d, the pytest warnings have been fixed.
  * Add a patch to remove use of external image from img.shields.io in
    the documentation template.
  * Bump Standards-Version to 4.1.5, no changes needed.
  * Rely on dh_python{2,3} for generating most of package dependencies.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 08 Jul 2018 16:22:44 +0300

sphinx (1.7.5-6) unstable; urgency=medium

  * Export LC_ALL=C.UTF-8 to make the build pass on the buildds.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 05 Jul 2018 14:26:07 +0300

sphinx (1.7.5-5) unstable; urgency=medium

  * dh_sphinxdoc: Generate versioned dependencies on sphinx-rtd-theme-common.
  * Switch to dh sequencer and pybuild buildsystem.
  * Stop setting PYTHONWARNINGS=d. There are too many deprecation warnings
    coming from pytest.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 05 Jul 2018 13:00:27 +0300

sphinx (1.7.5-4) experimental; urgency=medium

  * Use the alternatives mechanism for managing scripts.
  * Prefer Python 3 versions of the scripts (closes: #898009).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Jun 2018 00:45:15 +0300

=== debian/control ===
Source: sphinx
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>, Chris Lamb <lamby@debian.org>
Homepage: http://sphinx-doc.org/
Build-Depends: debhelper (>= 11)
Build-Depends-Indep: dh-python (>= 3.20180313~),
                     dpkg-dev (>= 1.17.14),
                     dvipng,
                     graphviz,
                     imagemagick-6.q16,
                     libjs-jquery (>= 1.4),
                     libjs-underscore,
                     librsvg2-bin,
                     perl,
                     python-alabaster (>= 0.7),
                     python-all (>= 2.6.6-4~),
                     python-babel (>= 1.3),
                     python-docutils (>= 0.11),
                     python-enum34,
                     python-html5lib,
                     python-imagesize,
                     python-jinja2 (>= 2.3),
                     python-mock,
                     python-packaging,
                     python-pygments (>= 2.1.1),
                     python-pytest,
                     python-requests (>= 2.4.0),
                     python-setuptools (>= 0.6c5-1~),
                     python-six (>= 1.5),
                     python-typing,
                     python3-alabaster (>= 0.7),
                     python3-all (>= 3.3.3-1~),
                     python3-babel (>= 1.3),
                     python3-docutils (>= 0.11),
                     python3-html5lib,
                     python3-imagesize,
                     python3-jinja2 (>= 2.3),
                     python3-lib2to3,
                     python3-mock,
                     python3-packaging,
                     python3-pygments (>= 2.1.1),
                     python3-pytest,
                     python3-requests (>= 2.4.0),
                     python3-setuptools,
                     python3-six (>= 1.5),
                     python3-sphinxcontrib.websupport <!nodoc>,
                     texinfo,
                     texlive-fonts-recommended,
                     texlive-latex-extra,
                     texlive-latex-recommended,
                     texlive-luatex,
                     texlive-xetex
Standards-Version: 4.1.5
Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx

Package: python-sphinx
Architecture: all
Depends: python-typing,
         sphinx-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Recommends: make, python-enum34, python-pil
Suggests: dvipng,
          imagemagick-6.q16,
          latexmk,
          libjs-mathjax,
          python-sphinx-rtd-theme,
          sphinx-doc,
          texlive-fonts-recommended,
          texlive-generic-extra,
          texlive-latex-extra,
          texlive-latex-recommended
Breaks: python-sphinxcontrib.issuetracker (<< 0.11-1),
        python-sphinxcontrib.spelling (<< 2.1.1-1)
Description: documentation generator for Python projects (implemented in Python 2)
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 Sphinx features:
  * HTML, CHM, LaTeX output,
  * Cross-referencing source code,
  * Automatic indices,
  * Code highlighting, using Pygments,
  * Extensibility. Existing extensions:
    - automatic testing of code snippets,
    - including docstrings from Python modules.
 .
 This package includes Python 2 modules and command line utilities.

Package: python3-sphinx
Architecture: all
Depends: python3-distutils,
         python3-lib2to3,
         sphinx-common (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: make, python3-pil
Suggests: dvipng,
          imagemagick-6.q16,
          latexmk,
          libjs-mathjax,
          python3-sphinx-rtd-theme,
          sphinx-doc,
          texlive-fonts-recommended,
          texlive-generic-extra,
          texlive-latex-extra,
          texlive-latex-recommended
Description: documentation generator for Python projects (implemented in Python 3)
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 Sphinx features:
  * HTML, CHM, LaTeX output,
  * Cross-referencing source code,
  * Automatic indices,
  * Code highlighting, using Pygments,
  * Extensibility. Existing extensions:
    - automatic testing of code snippets,
    - including docstrings from Python modules.
 .
 This package includes Python 3 modules.

Package: sphinx-common
Architecture: all
Depends: libjs-sphinxdoc (= ${source:Version}), ${misc:Depends}
Recommends: python-sphinx | python3-sphinx
Conflicts: python-sphinx (<< 1.1)
Replaces: python-sphinx (<< 1.1)
Description: documentation generator for Python projects - common data
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 This package includes manual pages, templates, translations and other data
 files.

Package: sphinx-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Conflicts: python-sphinx (<< 1.1)
Replaces: python-sphinx (<< 1.1)
Depends: docutils-doc, ${misc:Depends}, ${sphinxdoc:Depends}
Description: documentation generator for Python projects - documentation
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 This package includes documentation of Sphinx itself.

Package: libjs-sphinxdoc
Section: javascript
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery (>= 1.11.1), libjs-underscore (>= 1.3.1), ${misc:Depends}
Description: JavaScript support for Sphinx documentation
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 This package provides JavaScript code for documentation generated by Sphinx.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export NO_PKG_MANGLE=1
export LC_ALL=C.UTF-8
export PYTHONWARNINGS=d

export PYBUILD_TEST_ARGS=--ignore tests/test_websupport.py --ignore tests/test_api_translator.py
export PYBUILD_INSTALL_ARGS_python2=--install-scripts usr/share/sphinx/scripts/python2
export PYBUILD_INSTALL_ARGS_python3=--install-scripts usr/share/sphinx/scripts/python3

locales = $(notdir $(patsubst %/LC_MESSAGES,%,$(wildcard sphinx/locale/*/LC_MESSAGES)))

debroot = debian/tmp/
py2_libdir = /usr/lib/python2.7/dist-packages
py3_libdir = /usr/lib/python3/dist-packages
py3_builddir = $(shell pybuild --print build_dir --interpreter python3)
javascript_path = /usr/share/javascript/sphinxdoc/1.0/

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	ln -sf /usr/share/javascript/jquery/jquery.js sphinx/themes/basic/static/jquery.js
	ln -sf /usr/share/javascript/underscore/underscore.js sphinx/themes/basic/static/underscore.js
	dh_auto_build
ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
	PYTHONPATH=$(py3_builddir) python3 ./sphinx/cmd/build.py -T doc build/html/
	find build/html/ -name '*.txt' -or -name '*.html' | xargs -L1 sed -i \
		's!http://docutils.sourceforge.net/docs/!file:///usr/share/doc/docutils-doc/docs/!g'
	mkdir -p build/man && cp -r build/html/.doctrees build/man/
	PYTHONPATH=$(py3_builddir) python3 ./sphinx/cmd/build.py -T -b man doc build/man
endif
	PYTHONPATH=$(py3_builddir) python3 setup.py compile_catalog

override_dh_auto_install:
	pybuild --install -p 2.7
	pybuild --install -p 3
	# move static files outside dist-packages
	sed -i -e "s!^package_dir = .*!package_dir = '/usr/share/sphinx'!" \
		$(debroot)$(py2_libdir)/sphinx/__init__.py \
		$(debroot)$(py3_libdir)/sphinx/__init__.py
	cd $(debroot) && mv -t usr/share/sphinx/ \
		.$(py2_libdir)/sphinx/templates \
		.$(py2_libdir)/sphinx/texinputs \
		.$(py2_libdir)/sphinx/themes
	mkdir -p $(debroot)/usr/share/sphinx/ext/autosummary/
	cd $(debroot) && mv -t usr/share/sphinx/ext/autosummary/ \
		.$(py2_libdir)/sphinx/ext/autosummary/templates
	mkdir -p $(debroot)/usr/share/sphinx/search/
	cd $(debroot) && mv -t usr/share/sphinx/search/ \
		.$(py2_libdir)/sphinx/search/non-minified-js
	cd $(debroot)$(py3_libdir)/sphinx/ && \
		rm -rf templates/ texinputs/ themes/ ext/autosummary/templates/ \
			search/non-minified-js/
	set -e -x; \
	cd $(debroot) && \
		for lang in $(locales); \
		do \
			install -m 644 -D .$(py2_libdir)/sphinx/locale/$$lang/LC_MESSAGES/sphinx.js \
				usr/share/sphinx/locale/$$lang/sphinx.js; \
			install -m 644 -D .$(py2_libdir)/sphinx/locale/$$lang/LC_MESSAGES/sphinx.mo \
				usr/share/locale/$$lang/LC_MESSAGES/sphinx.mo; \
		done
	cd $(debroot)$(py2_libdir)/sphinx/locale && rm -rf sphinx.pot */
	cd $(debroot)$(py3_libdir)/sphinx/locale && rm -rf sphinx.pot */
	# Move JavaScript code to libjs-sphinxdoc:
	PYTHONPATH=$(py3_builddir) debian/dh-sphinxdoc/install-js debian/libjs-sphinxdoc$(javascript_path)
	rm -f $(debroot)/usr/share/sphinx/themes/bizstyle/static/css3-mediaqueries_src.js
	set -e; \
	for js in $$(find $(debroot)/usr/share/sphinx/themes/ -name '*.js' -a '!' -name 'websupport.js'); do \
		mv $$js debian/libjs-sphinxdoc/$(javascript_path); \
		ln -sf "$(javascript_path)/$${js##*/}" $$js; \
	done

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_installdocs:
	dh_installdocs
ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
	./debian/dh-sphinxdoc/dh_sphinxdoc -p sphinx-doc /usr/share/doc/sphinx-doc/html/
endif

override_dh_installman:
	cd debian/dh-sphinxdoc/ && pod2man -c Debhelper -r '' dh_sphinxdoc dh_sphinxdoc.1
ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
	dh_installman
endif

override_dh_compress:
	dh_compress -X.py -X.rst -X.json -X.txt

=== debian/tests/control ===
Tests: python-sphinx
Depends: python-sphinx,
         python-enum34,
         python-html5lib,
         python-pytest,
         python-mock,
         python-xapian,
         python-whoosh,
         python-sphinxcontrib.websupport,
         python-sqlalchemy (>= 0.9),
         texlive-latex-extra,
         texlive-fonts-recommended,
         texlive-luatex,
         texlive-xetex,
         texinfo,
         dvipng,
         imagemagick-6.q16,
         librsvg2-bin,
         graphviz

Tests: python3-sphinx
Depends: python3-sphinx,
         python3-html5lib,
         python3-pytest,
         python3-mock,
         python3-xapian,
         python3-whoosh,
         python3-sphinxcontrib.websupport,
         python3-sqlalchemy (>= 0.9),
         texlive-latex-extra,
         texlive-fonts-recommended,
         texlive-luatex,
         texlive-xetex,
         texinfo,
         dvipng,
         imagemagick-6.q16,
         librsvg2-bin,
         graphviz

Tests: sphinx-doc
Depends: sphinx-doc,
         python3-gi,
         gir1.2-webkit2-4.0 (>= 2.10),
         xauth,
         xvfb
Restrictions: allow-stderr

## sphinx 1.7.8

=== tests/roots/test-root/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build

# Internal variables.
ALLSPHINXOPTS   = -d _build/doctrees $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and an HTML help project"
	@echo "  latex     to make LaTeX files"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	rm -rf _build/*

html:
	mkdir -p _build/html _build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

pickle:
	mkdir -p _build/pickle _build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web _build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p _build/htmlhelp _build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

latex:
	mkdir -p _build/latex _build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p _build/changes _build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	mkdir -p _build/linkcheck _build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

=== debian/changelog ===
sphinx (1.7.8-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Refresh 0009-Ensure-the-set-object-description-is-reproducible.patch.
  * Make generated texinfo files reproducible (closes: #907352).
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 31 Aug 2018 14:31:03 +0300

sphinx (1.7.7-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Refresh patches for the new release.
  * Directly use PyStemmer for non-English search (without the wrapper).
  * Bump Standards-Version to 4.2.0.
  * Pass --verbose to pytest, as now required by Policy §4.9.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 25 Aug 2018 11:14:54 +0300

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export LC_ALL=C.UTF-8
 export PYTHONWARNINGS=d
 
-export PYBUILD_TEST_ARGS=--ignore tests/test_websupport.py --ignore tests/test_api_translator.py
+export PYBUILD_TEST_ARGS=--verbose --ignore tests/test_websupport.py --ignore tests/test_api_translator.py
 export PYBUILD_INSTALL_ARGS_python2=--install-scripts usr/share/sphinx/scripts/python2
 export PYBUILD_INSTALL_ARGS_python3=--install-scripts usr/share/sphinx/scripts/python3

## sphinx 1.7.9

=== debian/changelog ===
sphinx (1.7.9-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * d/control:
    - Remove python3-distutils and python3-lib2to3 from (Build-)Depends. It's
      provided by python3.5 packages directly on Debian Stretch.

 -- Jonas Meurer <jonas@freesources.org>  Mon, 22 Oct 2018 23:57:20 +0200

sphinx (1.7.9-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Drop 0012-Make-generated-texinfo-files-reproducible-by-sorting.patch,
    applied upstream.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 06 Sep 2018 13:11:38 +0300

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
                      python-requests (>= 2.4.0),
                      python-setuptools (>= 0.6c5-1~),
                      python-six (>= 1.5),
+                     python-stemmer,
                      python-typing,
                      python3-alabaster (>= 0.7),
                      python3-all (>= 3.3.3-1~),
@@ -37,7 +38,6 @@
                      python3-html5lib,
                      python3-imagesize,
                      python3-jinja2 (>= 2.3),
-                     python3-lib2to3,
                      python3-mock,
                      python3-packaging,
                      python3-pygments (>= 2.1.1),
@@ -46,13 +46,14 @@
                      python3-setuptools,
                      python3-six (>= 1.5),
                      python3-sphinxcontrib.websupport <!nodoc>,
+                     python3-stemmer,
                      texinfo,
                      texlive-fonts-recommended,
                      texlive-latex-extra,
                      texlive-latex-recommended,
                      texlive-luatex,
                      texlive-xetex
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx
 
@@ -68,6 +69,7 @@
           latexmk,
           libjs-mathjax,
           python-sphinx-rtd-theme,
+          python-stemmer,
           sphinx-doc,
           texlive-fonts-recommended,
           texlive-generic-extra,
@@ -92,9 +94,7 @@
 
 Package: python3-sphinx
 Architecture: all
-Depends: python3-distutils,
-         python3-lib2to3,
-         sphinx-common (= ${source:Version}),
+Depends: sphinx-common (= ${source:Version}),
          ${misc:Depends},
          ${python3:Depends}
 Recommends: make, python3-pil
@@ -103,6 +103,7 @@
           latexmk,
           libjs-mathjax,
           python3-sphinx-rtd-theme,
+          python3-stemmer,
           sphinx-doc,
           texlive-fonts-recommended,
           texlive-generic-extra,

## sphinx 1.8.3

=== debian/changelog ===
sphinx (1.8.3-2) unstable; urgency=medium

  * Bump Standards-Version to 4.3.0, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 26 Jan 2019 12:42:25 +0300

sphinx (1.8.3-1) experimental; urgency=medium

  * New upstream release.
  * Drop language_data.js.diff, applied upstream.
  * Refresh skip_tests_network.diff.
  * Add a patch to make test_get_module_source() pass on Python 2.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 09 Jan 2019 19:36:31 +0300

sphinx (1.8.2-1) experimental; urgency=medium

  * New upstream release.
  * Drop mathjax_on_demand.diff, applied upstream.
  * Backport upstream patch to make search work with custom templates, by
    moving language data into a separate JS file (language_data.js.diff).
  * Adapt dh_sphinxdoc for the introduction of language_data.js.
  * Override Lintian false positive warning about todo.py extension.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Nov 2018 14:53:05 +0300

sphinx (1.8.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream:
    - 0005-Fix-testsuite-to-not-rely-on-return-types.patch
    - 0007-Fix-spelling-error-in-manpage.patch
    - 0008-Call-object_description-recursively-for-dict-keys-an.patch
    - 0009-Ensure-the-set-object-description-is-reproducible.patch
  * Refresh and rebase the other patches.
  * Drop numbers from the remaining patches, use consistent naming.
  * Do not copy .doctrees/ during docs build, it is now in source tree.
  * Make test_math_compat pass with Python 2, by adding sphinx.ext.mathbase
    toplevel import (python2_tests_import_hack.diff).
  * Add a patch to load MathJax.js only on demand (mathjax_on_demand.diff).
  * Update debian/clean to clean .doctrees, .pytest_cache and tests/build.
  * dh_sphinxdoc:
    - Remove mention of “non-English searchtools.js”, all language-specific
      stuff is now in documentation_options.js.
    - Warn about missing SEARCH_LANGUAGE_STOP_WORDS.
  * Update numbers in debian/jstest/run-tests for the new release.
  * Remove obsolete section from debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 29 Oct 2018 16:41:33 +0300

## sphinx 1.8.4

=== debian/changelog ===
sphinx (1.8.4-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * d/control:
    - Remove python3-distutils and python3-lib2to3 from (Build-)Depends. It's
      provided by python3.5 packages directly on Debian Stretch.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 21 Apr 2020 01:44:26 -0700

sphinx (1.8.4-1) unstable; urgency=medium

  * New upstream release.
  * Ensure the graphviz filenames are reproducible (closes: #921513).
  * Bump year in debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 16 Feb 2019 16:55:01 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: sphinx
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Dmitry Shachnev <mitya57@debian.org>, Chris Lamb <lamby@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Dmitry Shachnev <mitya57@debian.org>
 Homepage: http://sphinx-doc.org/
 Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: dh-python (>= 3.20180313~),
@@ -53,7 +54,7 @@
                      texlive-latex-recommended,
                      texlive-luatex,
                      texlive-xetex
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx
